; ODIARC.INF
;
; Arcnet Network Interface Cards.
;
; VeRsIoN=1.00 Novell Windows 95 INF file: Arcnet Network Adapters.
; CoPyRiGhT=(c) Copyright 1996, by Novell, Inc. All rights reserved.

;***********************************************************************
;*   Version Section                                                   *
;***********************************************************************
[version]
InfVersion=00.01.00
signature="$CHICAGO$"
Class=Net
provider=%V_N%

;***********************************************************************
;*    Manufacturer Section                                             *
;***********************************************************************
[Manufacturer]
%V_Arcnet%=Arcnet
%V_Novell%=Novell

;***********************************************************************
;*    Manufacture Name section                                         *
;***********************************************************************
[ARCNET]
%*pnp8324.DeviceDesc%=*pnp8324.ndi, *pnp8324 ;ARCNET Compatible

;***********************************************************************
;*   INF Install Section                                               *
;***********************************************************************
;****************************************************************************
; ARCNET Compatible
;****************************************************************************
[*pnp8324.ndi]
AddReg=*pnp8324.DevID,ARC.Gen.Resources,SMCARC.ndi.reg,MC_Channel,ODI.Common.CFG.reg
LogConfig=*pnp8324.LogConfig

[*pnp8324.DevID]
HKR,Ndi,DeviceID,,"*pnp8324"

;***********************************************************************
;*      Added Registry                                                 *
;***********************************************************************
;****************************************************************************
; SMCARC base section
;****************************************************************************
[SMCARC.ndi.reg]
; key,subkey,valuname,type,value
HKR,,DevLoader,,*odiload
HKR,,EnumPropPages,,"netdi.dll,EnumPropPages"
HKR,Ndi,NdiInstaller,,"odipage.dll,OdiNdiProc"

; Interfaces
HKR,Ndi\Interfaces,DefUpper,,"odinsup,novellodi32"
HKR,Ndi\Interfaces,DefLower,,"ethernet"
HKR,Ndi\Interfaces,UpperRange,,"odinsup,novellodi32"
HKR,Ndi\Interfaces,LowerRange,,"ethernet"

; Install sections
HKR,Ndi\Install,"16 Bit",,"SMCARC.ODI16.install"
;HKR,Ndi\Install,"32 Bit",,"SMCARC.ODI32.install"

; Remove section
HKR,Ndi\Remove,"16 Bit",,"SMCARC.ODI16.Remove"

; ODI 16 Bit info
HKR,"ODI\16 Bit",ModulePath,,"%24%%DRIVER_32_PATH%"
HKR,"ODI\16 Bit",Modules,,"LSLC32.NLM,PC32MLID.LAN"
HKR,"ODI\16 Bit",DriverPath,,"%24%%DRIVER_16_PATH%"
HKR,"ODI\16 Bit",FileName,,"TRXNET.COM"
HKR,"ODI\16 Bit",NetcfgPath,,"%24%%DRIVER_16_PATH%"
HKR,"ODI\16 Bit",NetcfgFileName,,"Net.cfg"
HKR,"ODI\16 Bit",LinkDriver,,"TRXNET"

; ODI 32 Bit Info
;HKR,"ODI\32 Bit",ModulePath,,"%24%%DRIVER_32_PATH%"
;HKR,"ODI\32 Bit",Modules,,"LSLC32.NLM,CMSM.NLM,ETHERTSM.NLM"
;HKR,"ODI\32 Bit",DriverPath,,"%24%%DRIVER_32_PATH%"
;HKR,"ODI\32 Bit",FileName,,".lan"

;***********************************************************************
;*     .LogConfig Section                                              *
;***********************************************************************
;****************************************************************************
; ARCNET Compatible
;****************************************************************************
[*pnp8324.LogConfig]
ConfigPriority=HARDRECONFIG
IRQConfig=3,4,5,6,7,8,9,10,11,12,13,14,15
IOConfig=10@200-3FF%FFF0(3FF::)
MemConfig=4000@C0000-EFFFF%FFFFC000

;***********************************************************************
;*     Install section                                                 *
;***********************************************************************
; Install ODI 16
;***********************************************************************
;****************************************************************************
; SMC ARCNETPC
;****************************************************************************
[SMCARC.ODI16.install]
CopyFiles=SMCARC.ODI16.CopyFiles
UpdateAutoBat=SMCARC.ODI16.autobat

[SMCARC.ODI16.autobat]
CmdDelete=LSL
CmdDelete=N16ODI
CmdDelete=NESL
CmdDelete=TRXNET
CmdDelete=ODIHLP
CmdAdd=LSL.COM, "-c=%24%%DRIVER_16_PATH%NET.CFG"
CmdAdd=N16ODI.COM
CmdAdd=NESL.COM
CmdAdd=TRXNET.COM

;***********************************************************************
; Install ODI 32
;***********************************************************************
;****************************************************************************
; SMC ARCNETPC
;****************************************************************************
;[SMCARC.ODI32.install]
;CopyFiles=SMCARC.ODI32.CopyFiles
;UpdateAutoBat=SMCARC.ODI32.autobat

;[SMCARC.ODI32.autobat]
;CmdDelete=LSL
;CmdDelete=N16ODI
;CmdDelete=NESL
;CmdDelete=TRXNET
;CmdDelete=ODIHLP

;***********************************************************************
;*     remove sections                                                 *
;***********************************************************************
;****************************************************************************
; SMC ARCNETPC
;****************************************************************************
[SMCARC.ODI16.Remove]
UpdateAutoBat=SMCARC.ODI16.AutoBatRemove

[SMCARC.ODI16.AutoBatRemove]
CmdDelete=LSL
CmdDelete=N16ODI
CmdDelete=NESL
CmdDelete=TRXNET             ;.COM

;***********************************************************************
;*    Param Section                                                    *
;***********************************************************************
;****************************************************************************
; SMC ARCNETPC
;****************************************************************************
[ARC.Gen.Resources]
; Resources
HKR,,IRQ,1,04,00,00,00
HKR,,Port,1,02,00,00,00
HKR,,mem,1,01,00,00,00
HKR,NDI\params\IRQ,resc,1,04,00,00,00
HKR,NDI\params\IRQ,ParamDesc,,"IRQ Level"
HKR,NDI\params\IRQ,flag,1,50,00,00,00
HKR,NDI\params\Port,resc,1,02,00,00,00
HKR,NDI\params\Port,ParamDesc,,"I/O Port Address"
HKR,NDI\params\Port,flag,1,10,00,00,00
HKR,NDI\params\mem,resc,1,01,00,00,00
HKR,NDI\params\mem,ParamDesc,,"Memory Base Address"
HKR,NDI\params\mem,paragraph,,1
HKR,NDI\params\mem,flag,1,10,00,00,00

[MC_Channel]
HKR,Ndi\params\micro_channel,ParamDesc,,"Bus Type (0=ISA, 1=MCA)"
HKR,Ndi\params\micro_channel,type,,int
HKR,Ndi\params\micro_channel,default,,0
HKR,Ndi\params\micro_channel,min,,0
HKR,Ndi\params\micro_channel,max,,1
HKR,Ndi\params\micro_channel,step,,1
HKR,NDI\params\micro_channel,flag,1,10,00,00,00

;***********************************************************************
; General Ethernet Frame-Type params
;***********************************************************************
[ODI.Common.CFG.reg]
; First Logical Board
HKR,Ndi\params\Frame1,ParamDesc,,"1. Frame Type"
HKR,Ndi\params\Frame1,default,,1
HKR,Ndi\params\Frame1,type,,enum
HKR,Ndi\params\Frame1,optional,,0
HKR,Ndi\params\Frame1\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame1\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame1\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame1\enum,4,,"Ethernet_802.3"

; Second Logical Board
HKR,Ndi\params\Frame2,ParamDesc,,"2. Frame Type"
HKR,Ndi\params\Frame2,default,,2
HKR,Ndi\params\Frame2,type,,enum
HKR,Ndi\params\Frame2,optional,,0
HKR,Ndi\params\Frame2\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame2\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame2\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame2\enum,4,,"Ethernet_802.3"
HKR,Ndi\params\Frame2\enum,5,,"Not used"

; Third Logical Board
HKR,Ndi\params\Frame3,ParamDesc,,"3. Frame Type"
HKR,Ndi\params\Frame3,default,,3
HKR,Ndi\params\Frame3,type,,enum
HKR,Ndi\params\Frame3,optional,,0
HKR,Ndi\params\Frame3\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame3\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame3\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame3\enum,4,,"Ethernet_802.3"
HKR,Ndi\params\Frame3\enum,5,,"Not used"

; Fourth Logical Board
HKR,Ndi\params\Frame4,ParamDesc,,"4. Frame Type"
HKR,Ndi\params\Frame4,default,,4
HKR,Ndi\params\Frame4,type,,enum
HKR,Ndi\params\Frame4,optional,,0
HKR,Ndi\params\Frame4\enum,1,,"Ethernet_802.2"
HKR,Ndi\params\Frame4\enum,2,,"Ethernet_SNAP"
HKR,Ndi\params\Frame4\enum,3,,"Ethernet_II"
HKR,Ndi\params\Frame4\enum,4,,"Ethernet_802.3"
HKR,Ndi\params\Frame4\enum,5,,"Not used"

; Node Address Override
HKR,Ndi\params\"Node Address",ParamDesc,,"Node Address Override"
HKR,Ndi\params\"Node Address",type,,edit
HKR,Ndi\params\"Node Address",LimitText,,18
HKR,Ndi\params\"Node Address",UpperCase,,1
HKR,Ndi\params\"Node Address",default,,""
HKR,Ndi\params\"Node Address",flag,1,20,00,00,00
HKR,Ndi\params\"Node Address",optional,,1

; Help section
HKR,Ndi,HelpText,,%ODIMLID_HELP%

;***********************************************************************
;*    Resource Section                                                 *
;***********************************************************************

;***********************************************************************
;*   Copy file sections                                                *
;***********************************************************************
; Install ODI 16
;***********************************************************************
;****************************************************************************
; SMC ARCNETPC
;****************************************************************************
[SMCARC.ODI16.CopyFiles]
TRXNET.com,,,5
lsl.com,,,5
N16ODI.COM,,,5
nesl.com,,,5
;LSL.msg,,,5
;NESL.msg,,,5

;***********************************************************************
; Install ODI 32
;***********************************************************************

;****************************************************************************
; SMC ARCNETPC
;****************************************************************************
;[SMCARC.ODI32.CopyFiles]
;.lan,,,5

;***********************************************************************
;*   Source Disk Names & Source Disk Files                             *
;***********************************************************************
[SourceDisksNames]
42=%DSK_NOVELL4%,"",0004
42=%DSK_NOVELL4a%,"",0004

[SourceDisksFiles]
;.lan  =42
TRXNET.com   =42

nesl.com       =42
lsl.com        =42
N16ODI.COM     =42
;NESL.msg       =42
;LSL.msg        =42

;***********************************************************************
;*   Destination Directories                                           *
;***********************************************************************
[DestinationDirs]
DefaultDestDir           =11 ; LDID_SYS
SMCARC.ODI16.CopyFiles      =24,novell\nwclient
;SMCARC.ODI32.CopyFiles     =24,novell\client32

;***********************************************************************
;*   Localizable Strings                                               *
;***********************************************************************
[strings]
; Provider
V_N=" Novell"
; Manufacturers
V_Arcnet="ArcNet"

; Driver Paths 
DRIVER_16_PATH="novell\nwclient\"
DRIVER_32_PATH="novell\client32\"

; Driver Disk names
DSK_NOVELL4=             "Novell NetWare Client-32 LAN driver disk"
DSK_NOVELL4a=            "Novell NetWare Client-32 LAN driver disk."

; Context help
ODIMLID_HELP="The Novell ODI driver enables you to use either 16-Bit or 32-Bit networking components."

;***********************************************************************
; PNP Devices
;***********************************************************************
; PNP Devices for generic arcnet
*pnp8324.DeviceDesc="ARCNET Compatible"


